### Method

# Adw Leafletset_transition_type

deprecated: 1.4

#### Declaration [src]

    void
    adw_leaflet_set_transition_type (
      AdwLeaflet* self,
      AdwLeafletTransitionType transition
    )

#### Description [src]

Sets the type of animation used for transitions between modes and children.

The transition type can be changed without problems at runtime, so it is possible to change the animation based on the mode or child that is about to become current.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Leaflet:transition-type`

#### Parameters

`transition`

  Type: `AdwLeafletTransitionType`

  The new transition type.